"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _antd = require("antd");

var _react = _interopRequireDefault(require("react"));

var _evidenceCard = _interopRequireDefault(require("./evidence-card.js"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _folder = require("./assets/images/folder.svg");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const {
  Panel
} = _antd.Collapse;

class EvidenceTimeline extends _react.default.Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "sortedEvidence", this.props.evidence.sort((a, b) => {
      if (a.submittedAt > b.submittedAt) return -1;else if (a.submittedAt < b.submittedAt) return 1;
      return 0;
    }));
  }

  render() {
    if (this.sortedEvidence.length === 0) return null;
    const {
      evidence,
      ruling,
      metaEvidence
    } = this.props;
    return _react.default.createElement(_antd.Collapse, {
      defaultActiveKey: ["1"],
      expandIconPosition: "right",
      title: _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_folder.ReactComponent, null), " ", `Evidence (${evidence ? evidence.length : 0})`)
    }, _react.default.createElement(Panel, {
      header: _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_folder.ReactComponent, null), " ", _react.default.createElement("span", null, "Evidence")),
      style: {
        background: "#4d00b4"
      },
      className: "primary",
      key: "1"
    }, _react.default.createElement("div", {
      style: {
        padding: "35px 10%"
      }
    }, _react.default.createElement(_antd.Row, {
      id: "scroll-top"
    }, _react.default.createElement(_antd.Col, {
      style: {
        color: "#4d00b4",
        fontSize: "18px",
        lineHeight: "21px"
      },
      lg: 4
    }, "Latest"), _react.default.createElement(_antd.Col, {
      lg: 16
    }, ruling && _react.default.createElement("div", {
      style: {
        background: "#4d00b4",
        borderRadius: "300px",
        color: "white",
        fontSize: "12px",
        fontWeight: "500",
        lineHeight: "14px",
        marginLeft: "auto",
        marginRight: "auto",
        padding: "8px 0",
        textAlign: "center",
        width: "225px"
      }
    }, ruling ? `Jurors ruled: ${metaEvidence.metaEvidenceJSON.rulingOptions ? metaEvidence.metaEvidenceJSON.rulingOptions.titles[Number(ruling) - 1] : ruling}` : "Jurors refused to make a ruling")), _react.default.createElement("div", {
      style: {
        color: "#009aff",
        cursor: "pointer",
        textAlign: "right"
      },
      lg: 4,
      onClick: () => {
        const _bottomRow = document.getElementById("scroll-bottom");

        _bottomRow.scrollIntoView();
      }
    }, "Scroll to Bottom ", _react.default.createElement(_antd.Icon, {
      type: "arrow-down"
    }))), this.sortedEvidence.map((_evidence, i) => _react.default.createElement("div", {
      key: `evidence-${i}`
    }, _react.default.createElement(_antd.Row, null, _react.default.createElement(_antd.Col, {
      style: {
        borderRight: "1px solid #4d00b4",
        height: "3rem"
      },
      lg: 12
    })), _react.default.createElement(_evidenceCard.default, {
      evidence: _evidence,
      metaEvidence: metaEvidence.metaEvidenceJSON
    }))), _react.default.createElement(_antd.Row, null, _react.default.createElement(_antd.Col, {
      style: {
        borderRight: "1px solid #4d00b4",
        height: "3rem"
      },
      lg: 12
    })), _react.default.createElement(_antd.Row, {
      id: "scroll-bottom"
    }, _react.default.createElement(_antd.Col, {
      style: {
        color: "#4d00b4",
        fontSize: "18px",
        lineHeight: "21px"
      },
      lg: 4
    }, "Start"), _react.default.createElement(_antd.Col, {
      lg: 16
    }, _react.default.createElement("div", {
      style: {
        background: "#4d00b4",
        borderRadius: "300px",
        color: "white",
        fontSize: "12px",
        fontWeight: "500",
        lineHeight: "14px",
        marginLeft: "auto",
        marginRight: "auto",
        padding: "8px 0",
        textAlign: "center",
        width: "135px"
      }
    }, "Dispute Created")), _react.default.createElement(_antd.Col, {
      style: {
        color: "#009aff",
        cursor: "pointer",
        textAlign: "right"
      },
      lg: 4,
      onClick: () => {
        const _bottomRow = document.getElementById("scroll-top");

        _bottomRow.scrollIntoView();
      }
    }, "Scroll to Top ", _react.default.createElement(_antd.Icon, {
      type: "arrow-up"
    }))))));
  }

}

EvidenceTimeline.propTypes = {
  evidence: _propTypes.default.array,
  ruling: _propTypes.default.object,
  metaEvidence: _propTypes.default.object
};
EvidenceTimeline.defaultProps = {
  evidence: [],
  ruling: null,
  metaEvidence: []
};
var _default = EvidenceTimeline;
exports.default = _default;